Skip to main content
`Ctrl`+`K`

# PCGAMGASMSetHEM

Sets the number of HEM matching passed

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGASMSetHEM(PC pc, PetscInt n)

Collective

## Input Parameters

- pc - the preconditioner

- n - number of HEM matching passed to construct ASM subdomains

## Options Database Key

- -pc_gamg_asm_hem <n> - set the number of HEM matching passed

## Developer Notes

Should be called `PCGAMGSetMaximumNumberlevels()` and possible be shared with `PCMG`

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/gamg.c

## Examples

src/snes/tutorials/ex56.c

## Implementations

PCGAMGASMSetHEM_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages